import { ObjectId } from 'bson';
import { Project } from '../lib/spvtms';
import { jobs } from './job';

export const projects: Project[] = [
  {
    _id: new ObjectId('66c800000000000000000000'),
    projectId: '2024-001',
    name: 'Demo All Status Project',
    jobIds: jobs.map((job) => job.jobId),
    startAt: new Date(),
    endAt: new Date(),
    remark: 'Demo All Status Project description',
    createdAt: new Date(),
    updatedAt: new Date(),
    status: 'drafting',
  },
  {
    _id: new ObjectId('66c800000000000000000003'),
    projectId: '2025-002-PE',
    name: 'District Prince Edward Project',
    jobIds: ['001-KUA1-01-2025'],
    startAt: new Date(),
    endAt: new Date(),
    remark: 'District Prince Edward Project description',
    createdAt: new Date(),
    updatedAt: new Date(),
    status: 'drafting',
  },
  {
    _id: new ObjectId('66c800000000000000000001'),
    projectId: '2025-002-PFLR',
    name: 'District Pok Fu Lam Road Project',
    jobIds: ['001-PFL-01-2024'],
    startAt: new Date(),
    endAt: new Date(),
    remark: 'District Pok Fu Lam Road Project description',
    createdAt: new Date(),
    updatedAt: new Date(),
    status: 'drafting',
  },
  {
    _id: new ObjectId('66c800000000000000000002'),
    projectId: '2025-003-MWR',
    name: 'District Ma Wang Road Project',
    jobIds: ['001-NUL01-01-2025'],
    startAt: new Date(),
    endAt: new Date(),
    remark: 'District Ma Wang Road Project description',
    createdAt: new Date(),
    updatedAt: new Date(),
    status: 'drafting',
  },
];
